<div th:fragment="header">
  <header class="header d-flex justify-content-between align-items-center px-4 py-2">
    <div class="logo">
      <img src="/images/Logo.png" alt="Logo">
    </div>
    <div class="header-right d-flex align-items-center">
      <div class="language-select">
        <img src="/images/Ellipse 8.png" alt="Vietnam Flag">
        <svg width="14" height="8" viewBox="0 0 14 8" fill="none" xmlns="http://www.w3.org/2000/svg">
          <path d="M6.66674 7.25C6.38243 7.25 6.09799 7.15845 5.88132 6.97534L0.325765 2.28784C-0.108263 1.92163 -0.108263 1.32837 0.325765 0.962158C0.759793 0.595947 1.46292 0.595947 1.89695 0.962158L6.66674 4.98828L11.4376 0.96289C11.8716 0.59668 12.5747 0.59668 13.0087 0.96289C13.4428 1.3291 13.4428 1.92236 13.0087 2.28857L7.45319 6.97607C7.23618 7.15918 6.95146 7.25 6.66674 7.25Z" fill="#333333"/>
        </svg>
      </div>

      <div sec:authorize="isAuthenticated()" class="header-avatar position-relative">
        <p class="avatar-name fw-bolder" th:text="${employee != null ? employee.full_name : 'User Name'}"></p>
        <div class="avatar-img">
          <img src="/images/Ellipse 7.png" alt="Avatar"/>
        </div>

        <div class="header-avatar-options">
          <!-- Các tùy chọn của header-avatar ở đây -->
          <ul>
            <li>
              <span>Đã đăng nhập với</span>
              <p class="mb-0" style="font-weight: 700" th:text="${employee != null ? employee.full_name : 'User Name'}"></p>
            </li>

            <hr class="my-2" />

            <li class="mb-2">
              <a href="#" class="d-flex text-dark text-decoration-none">
                <svg
                        width="25"
                        height="25"
                        viewBox="0 0 25 25"
                        fill="none"
                        xmlns="http://www.w3.org/2000/svg"
                >
                  <mask
                          id="mask0_966_4061"
                          style="mask-type: alpha"
                          maskUnits="userSpaceOnUse"
                          x="0"
                          y="0"
                          width="25"
                          height="25"
                  >
                    <rect width="25" height="25" fill="#D9D9D9" />
                  </mask>
                  <g mask="url(#mask0_966_4061)">
                    <path
                            d="M5.20833 18.5938C6.14583 17.6736 7.23524 16.9488 8.47656 16.4193C9.71788 15.8898 11.059 15.625 12.5 15.625C13.941 15.625 15.2821 15.8898 16.5234 16.4193C17.7648 16.9488 18.8542 17.6736 19.7917 18.5938V5.20833H5.20833V18.5938ZM12.5 13.5417C13.5069 13.5417 14.3663 13.1858 15.0781 12.474C15.7899 11.7622 16.1458 10.9028 16.1458 9.89583C16.1458 8.88889 15.7899 8.02951 15.0781 7.31771C14.3663 6.6059 13.5069 6.25 12.5 6.25C11.4931 6.25 10.6337 6.6059 9.92188 7.31771C9.21007 8.02951 8.85417 8.88889 8.85417 9.89583C8.85417 10.9028 9.21007 11.7622 9.92188 12.474C10.6337 13.1858 11.4931 13.5417 12.5 13.5417ZM5.20833 21.875C4.63542 21.875 4.14497 21.671 3.73698 21.263C3.32899 20.855 3.125 20.3646 3.125 19.7917V5.20833C3.125 4.63542 3.32899 4.14497 3.73698 3.73698C4.14497 3.32899 4.63542 3.125 5.20833 3.125H19.7917C20.3646 3.125 20.855 3.32899 21.263 3.73698C21.671 4.14497 21.875 4.63542 21.875 5.20833V19.7917C21.875 20.3646 21.671 20.855 21.263 21.263C20.855 21.671 20.3646 21.875 19.7917 21.875H5.20833ZM7.29167 19.7917H17.7083V19.5312C16.9792 18.9236 16.1719 18.4679 15.2865 18.1641C14.401 17.8602 13.4722 17.7083 12.5 17.7083C11.5278 17.7083 10.599 17.8602 9.71354 18.1641C8.82812 18.4679 8.02083 18.9236 7.29167 19.5312V19.7917ZM12.5 11.4583C12.066 11.4583 11.697 11.3064 11.3932 11.0026C11.0894 10.6988 10.9375 10.3299 10.9375 9.89583C10.9375 9.46181 11.0894 9.09288 11.3932 8.78906C11.697 8.48524 12.066 8.33333 12.5 8.33333C12.934 8.33333 13.303 8.48524 13.6068 8.78906C13.9106 9.09288 14.0625 9.46181 14.0625 9.89583C14.0625 10.3299 13.9106 10.6988 13.6068 11.0026C13.303 11.3064 12.934 11.4583 12.5 11.4583Z"
                            fill="#F3BD50"
                    />
                  </g>
                </svg>

                <span href="#" class="ms-2">Thông tin tài khoản</span>
              </a>
            </li>
            <li>
              <a href="#" class="d-flex text-dark text-decoration-none">
                <svg
                        width="25"
                        height="25"
                        viewBox="0 0 25 25"
                        fill="none"
                        xmlns="http://www.w3.org/2000/svg"
                >
                  <mask
                          id="mask0_966_4067"
                          style="mask-type: alpha"
                          maskUnits="userSpaceOnUse"
                          x="0"
                          y="0"
                          width="25"
                          height="25"
                  >
                    <rect width="25" height="25" fill="#D9D9D9" />
                  </mask>
                  <g mask="url(#mask0_966_4067)">
                    <path
                            d="M9.63542 22.9166L9.21875 19.5833C8.99306 19.4965 8.78038 19.3923 8.58073 19.2708C8.38108 19.1493 8.18576 19.0191 7.99479 18.8802L4.89583 20.1823L2.03125 15.2344L4.71354 13.2031C4.69618 13.0816 4.6875 12.9644 4.6875 12.8515V12.1484C4.6875 12.0356 4.69618 11.9184 4.71354 11.7969L2.03125 9.76561L4.89583 4.81769L7.99479 6.11977C8.18576 5.98088 8.38542 5.85067 8.59375 5.72915C8.80208 5.60762 9.01042 5.50345 9.21875 5.41665L9.63542 2.08331H15.3646L15.7812 5.41665C16.0069 5.50345 16.2196 5.60762 16.4193 5.72915C16.6189 5.85067 16.8142 5.98088 17.0052 6.11977L20.1042 4.81769L22.9688 9.76561L20.2865 11.7969C20.3038 11.9184 20.3125 12.0356 20.3125 12.1484V12.8515C20.3125 12.9644 20.2951 13.0816 20.2604 13.2031L22.9427 15.2344L20.0781 20.1823L17.0052 18.8802C16.8142 19.0191 16.6146 19.1493 16.4062 19.2708C16.1979 19.3923 15.9896 19.4965 15.7812 19.5833L15.3646 22.9166H9.63542ZM12.5521 16.1458C13.559 16.1458 14.4184 15.7899 15.1302 15.0781C15.842 14.3663 16.1979 13.5069 16.1979 12.5C16.1979 11.493 15.842 10.6337 15.1302 9.92186C14.4184 9.21005 13.559 8.85415 12.5521 8.85415C11.5278 8.85415 10.6641 9.21005 9.96094 9.92186C9.25781 10.6337 8.90625 11.493 8.90625 12.5C8.90625 13.5069 9.25781 14.3663 9.96094 15.0781C10.6641 15.7899 11.5278 16.1458 12.5521 16.1458ZM12.5521 14.0625C12.1181 14.0625 11.7491 13.9106 11.4453 13.6068C11.1415 13.3029 10.9896 12.934 10.9896 12.5C10.9896 12.066 11.1415 11.697 11.4453 11.3932C11.7491 11.0894 12.1181 10.9375 12.5521 10.9375C12.9861 10.9375 13.355 11.0894 13.6589 11.3932C13.9627 11.697 14.1146 12.066 14.1146 12.5C14.1146 12.934 13.9627 13.3029 13.6589 13.6068C13.355 13.9106 12.9861 14.0625 12.5521 14.0625ZM11.4583 20.8333H13.5156L13.8802 18.0729C14.4184 17.934 14.9175 17.73 15.3776 17.4609C15.8377 17.1918 16.2587 16.8663 16.6406 16.4844L19.2188 17.5521L20.2344 15.7812L17.9948 14.0885C18.0816 13.8455 18.1424 13.5894 18.1771 13.3203C18.2118 13.0512 18.2292 12.7778 18.2292 12.5C18.2292 12.2222 18.2118 11.9488 18.1771 11.6797C18.1424 11.4106 18.0816 11.1545 17.9948 10.9114L20.2344 9.21873L19.2188 7.4479L16.6406 8.54165C16.2587 8.14234 15.8377 7.80814 15.3776 7.53904C14.9175 7.26995 14.4184 7.06595 13.8802 6.92706L13.5417 4.16665H11.4844L11.1198 6.92706C10.5816 7.06595 10.0825 7.26995 9.6224 7.53904C9.16233 7.80814 8.74132 8.13366 8.35938 8.51561L5.78125 7.4479L4.76562 9.21873L7.00521 10.8854C6.9184 11.1458 6.85764 11.4062 6.82292 11.6666C6.78819 11.9271 6.77083 12.2048 6.77083 12.5C6.77083 12.7778 6.78819 13.0469 6.82292 13.3073C6.85764 13.5677 6.9184 13.8281 7.00521 14.0885L4.76562 15.7812L5.78125 17.5521L8.35938 16.4583C8.74132 16.8576 9.16233 17.1918 9.6224 17.4609C10.0825 17.73 10.5816 17.934 11.1198 18.0729L11.4583 20.8333Z"
                            fill="#F3BD50"
                    />
                  </g>
                </svg>

                <span href="#" class="ms-2">Thay đổi mật khẩu</span>
              </a>
            </li>

            <hr class="my-2" />

            <li>
              <a href="/logout" class="d-flex text-dark text-decoration-none">
                <svg
                        width="24"
                        height="24"
                        viewBox="0 0 24 24"
                        fill="none"
                        xmlns="http://www.w3.org/2000/svg"
                >
                  <mask
                          id="mask0_966_4073"
                          style="mask-type: alpha"
                          maskUnits="userSpaceOnUse"
                          x="0"
                          y="0"
                          width="24"
                          height="24"
                  >
                    <rect width="24" height="24" fill="#D9D9D9" />
                  </mask>
                  <g mask="url(#mask0_966_4073)">
                    <path
                            d="M20.15 13H8V11H20.15L18.6 9.45L20 8L24 12L20 16L18.6 14.55L20.15 13ZM15 9V5H5V19H15V15H17V19C17 19.55 16.8042 20.0208 16.4125 20.4125C16.0208 20.8042 15.55 21 15 21H5C4.45 21 3.97917 20.8042 3.5875 20.4125C3.19583 20.0208 3 19.55 3 19V5C3 4.45 3.19583 3.97917 3.5875 3.5875C3.97917 3.19583 4.45 3 5 3H15C15.55 3 16.0208 3.19583 16.4125 3.5875C16.8042 3.97917 17 4.45 17 5V9H15Z"
                            fill="#F3BD50"
                    />
                  </g>
                </svg>

                <span  class="ms-2">Đăng xuất</span>
              </a>
            </li>
          </ul>
        </div>
      </div>
    </div>
  </header>
</div>